#!/usr/bin/php
<?php

#include_once "/opt/monitor/op5/gui/db_utils.inc.php";

include_once "smspassivecheck.inc.php";
include_once "/opt/monitor/op5/smsreceive/smsreceiver/utils.php";

if($argc<2){
	printLog("Wrong number of arguments, aborting");
	exit(1);
}

$incommingmessage=processSmsMessage($argv[1]);

sms_passivecheck($incommingmessage);

deletefile($argv[1]);


function sms_passivecheck($smsmessage){
	GLOBAL $smsDelimiter, $commandfile;
	GLOBAL $hostCheckString, $serviceCheckString;
	$smsArr = explode($smsDelimiter, $smsmessage['content']);
	$commandString = "";

	if(strcasecmp($smsArr[0], $hostCheckString) === 0){
		printLog("host check");
		$commandString = "PROCESS_HOST_CHECK_RESULT;" . $smsArr[1] . ";" .
		   $smsArr[2] . ";" .  $smsArr[3];
	} else if(strcasecmp($smsArr[0], $serviceCheckString) === 0){
		printLog("service check");
		$commandString = "PROCESS_SERVICE_CHECK_RESULT;" . $smsArr[1] . ";" .
		   $smsArr[2] . ";" .  $smsArr[3] . ";" .  $smsArr[4];
	} else {
		printLog("Wrong type of sms");
		exit(1);
	}

	printLog("About to write: '$commandString' to $commandfile");
#	echo "time: " . time() . "\n";
#	echo "command: $commandString \n";
	$fHandle = fopen($commandfile, "a");
	if(!$fHandle){
		printLog("Failed to open file '$commandfile' for writing, Aborting.");
		exit(1);
	}
	$ret = fwrite($fHandle, "[". time() . "] " . $commandString);
	if(!$ret){
		printLog("Failed to write file '$commandfile'");
	}
	fclose($fHandle);	
}

?>
